# encoding: utf-8
$:.push File.expand_path('../lib', __FILE__)

Gem::Specification.new do |gem|
  gem.name        = "fluent-plugin-datahub"
  gem.description = "Aliyun Datahub output plugin for Fluentd event collector"
  gem.license     = "Apache-2.0"
  gem.homepage    = "https://datahub.console.aliyun.com/datahub"
  gem.summary     = gem.description
  gem.version     = File.read("VERSION").strip
  gem.authors     = ["Aliyun"]
  gem.email       = "stream@service.aliyun.com"
  gem.has_rdoc    = false
  #gem.platform    = Gem::Platform::RUBY
  gem.files       = `git ls-files | grep -v ext | grep -v package`.split("\n")
  gem.test_files  = `git ls-files -- {test,spec,features}/*`.split("\n")
  gem.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  gem.require_paths = ['lib']

  gem.add_dependency "fluentd", [">= 0.12.0", "< 2"]
  gem.add_dependency "yajl-ruby", "~> 1.0"
end
